package grammar.pattern_match;

public class SwitchCaseExample1 {
    static void test1(Object obj) {
        String formatted = "unknown";
        if (obj instanceof Integer) {
            int i = (Integer) obj;
            formatted = String.format("int %d", i);
        } else if (obj instanceof Byte) {
            byte b = (Byte) obj;
            formatted = String.format("byte %d", b);
        } else if (obj instanceof Long) {
            long l = (Long) obj;
            formatted = String.format("long %d", l);
        } else if (obj instanceof Double) {
            double d = (Double) obj;
            formatted = String.format("double %f", d);
        } else if (obj instanceof String) {
            String s = (String) obj;
            formatted = String.format("String %s", s);
        }
        System.out.println(formatted);
    }

    static void test2(Object obj) {
        String formatted =
                switch (obj) {
                    case Integer i -> String.format("int %d", i);
                    case Byte b -> String.format("byte %d", b);
                    case Long l -> String.format("long %d", l);
                    case Double d -> String.format("double %f", d);
                    case String s -> String.format("String %s", s);
                    default -> String.format("Object %s", obj);
                };
        System.out.println(formatted);
    }

    public static void main(String[] args) {

    }
}
